# Class Storage#getMD5Hash

Storage

- Defined in: storage.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Storage#getMD5Hash(successCallback, errorCallback, options) Gets the MD5 hashing value of the input file.

## Class Detail

Storage#getMD5Hash(successCallback, errorCallback, options)
Gets the MD5 hashing value of the input file.

    // Javascript code
    function getMD5Hash () {
      function successCb(cbObject) {
         console.log("cbObject : " + JSON.stringify(cbObject));
         console.log("md5hash : " + cbObject.md5hash);
      }

      function failureCb(cbObject) {
         var errorText = cbObject.errorText;
         console.log ("Error Code [" + errorCode + "]: " + errorText);
      }

      var options = { filePath : true };
      var storage = new Storage();
      storage.getMD5Hash(successCb, failureCb, options);
    }

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.
{Object} options

  Property | Type | Description | Required
  --- | --- | --- | ---
  filePath | String | Set input file path (file://internal/test.txt) | required

Since:
  1.5
Returns:
  {Object}

  Property | Type | Description
  --- | --- | ---
  md5hash | String | MD5 hash value